Permalink
Browse files

Environment variable for active record version, and Gemfile. So expor…

…t ACTIVERECORD_VERSION=2.3.11 ; bundle install ; rake tests a different version
  • Loading branch information...
1 parent d09e498 commit b3745389176f6d99b8f2cbab185f1764004837e7 @kbrock kbrock committed Feb 9, 2012
Showing with 6 additions and 1 deletion.
  1. +3 −0 Gemfile
  2. +2 −0 deadlock_retry.gemspec
  3. +1 −1 test/deadlock_retry_test.rb
View
@@ -0,0 +1,3 @@
+source "http://rubygems.org"
+
+gemspec
@@ -9,7 +9,9 @@ Gem::Specification.new do |s|
s.description = s.summary = %q{Provides automatic deadlock retry and logging functionality for ActiveRecord and MySQL}
s.email = %q{mperham@gmail.com}
s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
s.homepage = %q{http://github.com/mperham/deadlock_retry}
s.require_paths = ["lib"]
s.add_development_dependency 'mocha'
+ s.add_development_dependency 'activerecord', ENV['ACTIVERECORD_VERSION'] || ' ~>3.0'
end
@@ -1,7 +1,7 @@
require 'rubygems'
# Change the version if you want to test a different version of ActiveRecord
-gem 'activerecord', ' ~>3.0'
+gem 'activerecord', ENV['ACTIVERECORD_VERSION'] || ' ~>3.0'
require 'active_record'
require 'active_record/version'
puts "Testing ActiveRecord #{ActiveRecord::VERSION::STRING}"

0 comments on commit b374538

Please sign in to comment.